import { genComponentStyleHook as i } from "../../utils/cssinjs/index.mjs";
const r = (e) => {
  const { componentCls: l } = e;
  return {
    [l]: {
      display: "flex",
      alignItems: "center",
      overflow: "hidden",
      [`${l}-content`]: {
        flex: 1,
        minWidth: 0,
        overflow: "hidden",
        display: "-webkit-box",
        WebkitBoxOrient: "vertical",
        WebkitLineClamp: "var(--ap-table-paragraph-ellipsis-rows)",
        textOverflow: "ellipsis",
        lineClamp: "var(--ap-table-paragraph-ellipsis-rows)",
        wordBreak: "break-all",
        "& > *": {
          width: "100%"
        }
      },
      [`${l}-copyable`]: {
        flexShrink: 0,
        marginLeft: e.space,
        cursor: "pointer",
        color: e.colorLink
      }
    }
  };
}, o = i("ApTable.Ellipsis", (e) => [
  r(e)
]);
export {
  o as default,
  r as genTableEllipsisCellStyle
};
